Skip to content
CatalogChannels

List size chart rows

Returns the size chart rows with their main attribute and value.

GET/v1/channels/listings/{id}/size-charts/{chartId}/rows
Requires an access token with the channel:read permission.

Path Parameters

id*string

Unique identifier of the resource.

chartId*string

Query Parameters

categoryId?string

Identifier of the category.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/channels/listings/7204558912004329619/size-charts/7204558912004327710/rows" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "rowId": "7204558912004326114",    "mainAttributeId": "7204558912004326691",    "valueId": "7204558912004324721",    "valueName": "Mi tienda",    "labels": [      "Mi tienda"    ]  }]